[arch-commits] Commit in pandoc-citeproc/repos (2 files)
Felix Yan
felixonmars at archlinux.org
Sat Aug 11 10:14:45 UTC 2018
Date: Saturday, August 11, 2018 @ 10:14:44
Author: felixonmars
Revision: 371056
archrelease: copy trunk to community-staging-x86_64
Added:
pandoc-citeproc/repos/community-staging-x86_64/
pandoc-citeproc/repos/community-staging-x86_64/PKGBUILD
(from rev 371055, pandoc-citeproc/trunk/PKGBUILD)
----------+
PKGBUILD | 58 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 58 insertions(+)
Copied: pandoc-citeproc/repos/community-staging-x86_64/PKGBUILD (from rev 371055, pandoc-citeproc/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2018-08-11 10:14:44 UTC (rev 371056)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+
+pkgname=pandoc-citeproc
+pkgver=0.14.3.1
+pkgrel=107
+pkgdesc="Supports using pandoc with citeproc"
+url="https://hackage.haskell.org/package/$pkgname"
+license=("custom:BSD3")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-aeson' 'haskell-aeson-pretty' 'haskell-attoparsec' 'haskell-base-compat'
+ 'haskell-data-default' 'haskell-hs-bibutils' 'haskell-old-locale' 'pandoc'
+ 'haskell-pandoc-types' 'haskell-rfc5051' 'haskell-setenv' 'haskell-split'
+ 'haskell-syb' 'haskell-tagsoup' 'haskell-temporary' 'haskell-text-icu'
+ 'haskell-unordered-containers' 'haskell-vector' 'haskell-xml-conduit' 'haskell-yaml')
+conflicts=('haskell-pandoc-citeproc')
+replaces=('haskell-pandoc-citeproc')
+makedepends=('ghc')
+source=("https://hackage.haskell.org/packages/archive/$pkgname/${pkgver}/$pkgname-${pkgver}.tar.gz")
+sha512sums=('ab3d395c77192f72fa5cf9606f3cc5fc37c00a5719a58203d4b7c6edbc032524dd8457abe292d5d7dbe5ab2eaccd545269355931451ca0835d0ac1aa3cc48414')
+
+prepare() {
+ cd "${srcdir}/$pkgname-${pkgver}"
+ sed -i 's/<.*1.4/<2/' $pkgname.cabal
+ # TODO: find a better solution
+ sed -i "s|(\"HOME\",\".\")|(\"HOME\",\".\"),(\"LD_LIBRARY_PATH\",\"$PWD/dist/build\"),(\"pandoc_citeproc_datadir\",\"$PWD\")|" tests/test-pandoc-citeproc.hs
+}
+
+build() {
+ cd "${srcdir}/$pkgname-${pkgver}"
+
+ runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+ --prefix=/usr --docdir="/usr/share/doc/$pkgname" --datasubdir="$pkgname" --enable-tests \
+ --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
+ -f-debug -f-test_citeproc -funicode_collation -f-embed_data_files -fbibutils -f-static
+ runhaskell Setup build
+ runhaskell Setup register --gen-script
+ runhaskell Setup unregister --gen-script
+ sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+ sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+ cd $pkgname-$pkgver
+ # https://github.com/jgm/pandoc-citeproc/issues/342
+ runhaskell Setup test || warning "Tests failed"
+}
+
+package() {
+ cd "${srcdir}/$pkgname-${pkgver}"
+
+ install -D -m744 register.sh "${pkgdir}/usr/share/haskell/register/$pkgname.sh"
+ install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/$pkgname.sh"
+ runhaskell Setup copy --destdir="${pkgdir}"
+ install -D -m644 "LICENSE" "${pkgdir}/usr/share/licenses/$pkgname/LICENSE"
+ rm -f "${pkgdir}/usr/share/doc/$pkgname/LICENSE"
+}
More information about the arch-commits
mailing list